<?php
include_once '../system/set.php';
$_title = "Ninja School Online" . $_name_site;
include_once '../system/head.php';
$_alert = null;
if ($_login == null) {
	if (isset($_POST['username'])) {
		$username = isset_sql($_POST['username']);
		$password = isset_sql($_POST['password']);
		$repassword = isset_sql($_POST['repassword']);
		$phone = isset_sql($_POST['phone']);
		$time = time();

		if (!preg_match('/^[a-z0-9]+$/', $username)) {
			echo "<script>
			Swal.fire({
				title: 'Thất bại',
				text: 'Tên tài khoản không được có ký tự đặc biệt hoặc viết hoa!',
				icon: 'error',
				showConfirmButton: true, // Hiển thị nút xác nhận
				confirmButtonText: 'OK' // Văn bản của nút xác nhận
				});
				</script>
			";
		} else if (!preg_match('/^[a-z0-9]+$/', $password)) {
			echo "<script>
			Swal.fire({
				title: 'Thất bại',
				text: 'Mật khẩu không được có ký tự đặc biệt hoặc viết hoa!',
				icon: 'error',
				showConfirmButton: true, // Hiển thị nút xác nhận
				confirmButtonText: 'OK' // Văn bản của nút xác nhận
				});
				</script>
			";
		} else if (strlen($username) < 5 || strlen($username) > 12 || strlen($password) < 1 || strlen($password) > 40) {
			echo "<script>
			Swal.fire({
				title: 'Thất bại',
				text: 'Tài khoản phải từ 5 đến 12 ký tự, mật khẩu phải từ 1 đến 40 ký tự!',
				icon: 'error',
				showConfirmButton: true, // Hiển thị nút xác nhận
				confirmButtonText: 'OK' // Văn bản của nút xác nhận
				});
				</script>
			";
		} else if (!preg_match('/^0[0-9]{8,10}$/', $phone)) {
			echo "<script>
			Swal.fire({
				title: 'Thất bại',
				text: 'Số điện thoại phải có định dạng từ 9 đến 11 ký tự!',
				icon: 'error',
				showConfirmButton: true, // Hiển thị nút xác nhận
				confirmButtonText: 'OK' // Văn bản của nút xác nhận
				});
				</script>
			";
		} else if ($password == $repassword) {
			$txt = _insert('user', "user, password, phone, coin, status", "'$username', '$password', '$phone', '0', '1'");
			$read = _select("*", 'user', "user='$username'");
			if (is_array(_fetch($read))) {
				echo "<script>
				Swal.fire({
					title: 'Thất bại',
					text: 'Tài khoản này đã tồn tại, vui lòng chọn tài khoản khác!',
					icon: 'error',
					showConfirmButton: true, // Hiển thị nút xác nhận
					confirmButtonText: 'OK' // Văn bản của nút xác nhận
					});
					</script>
				";
			} else {
				$kiemtra = _query($txt);
				if ($kiemtra) {
					echo "<script>
                    Swal.fire({
                        title: 'Thành công',
						html: 'Đăng ký thành công!<br>TÀI KHOẢN: [ $username ] <br>MẬT KHẨU: [ $password ] <br>SĐT: [ $phone ] ',
                        icon: 'success',
                        showCancelButton: false,
                        showConfirmButton: true,
                        confirmButtonText: 'OK'
                    });
                </script>
					";
				} else {
					echo "<script>
					Swal.fire({
						title: 'Thất bại',
						text: 'Đã có lỗi gì đó xảy ra, đăng kí thất bại!',
						icon: 'error',
						showConfirmButton: true, // Hiển thị nút xác nhận
						confirmButtonText: 'OK' // Văn bản của nút xác nhận
						});
						</script>
					";
				}
			}
		} else {
			echo "<script>
			Swal.fire({
				title: 'Thất bại',
				text: 'Hai mật khẩu không khớp nhau, vui lòng kiểm tra lại!',
				icon: 'error',
				showConfirmButton: true, // Hiển thị nút xác nhận
				confirmButtonText: 'OK' // Văn bản của nút xác nhận
				});
				</script>
			";
		}
	}
} else {
	header('location:/user.php');
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>login</title>
	<!--update body trang-->
	<link rel="stylesheet" href="../assets/css/dangky-dangnhap.css" />
	<!--update body trang-->

</head>

<body>
	<div style="margin-top: 100px;"></div>
	<div class="card-3d-wrap mx-auto">
		<div class="card-3d-wrapper">
			<div class="card-front">
				<div class="center-wrap">
					<div class="section text-center">
						<h4 class="mb-40 pb-3" style="color: #ffeba7;">ĐĂNG KÝ TÀI KHOẢN</h4>
						<!--- From Đăng Ký Tài Khoản --->
						<form id="register-form" method="post" class="needs-validation">
							<div class="form-group mt-2">
								<input type="text" class="form-style" name="username" id="username"
									placeholder=" Tài Khoản" required="" autocomplete="off">
								<i class="iconify" data-icon="ph:user-plus"></i>
							</div>
							<div class="form-group mt-2">
								<input type="text" class="form-style" name="password" id="password"
									placeholder=" Mật khẩu" required="" autocomplete="off">
								<i class="iconify" data-icon="mdi:password-add-outline"></i>
							</div>
							<div class="form-group mt-2">
								<input type="text" class="form-style" name="repassword" id="repassword"
									placeholder=" Nhập lại mật khẩu" required="" autocomplete="off">
								<i class="iconify" data-icon="mdi:password-add-outline"></i>
							</div>
							<div class="form-group mt-2">
								<input type="tel" name="phone" class="form-style" id="phone"
									placeholder=" Số điện thoại" required="" autocomplete="off">
								<i class="iconify" data-icon="mdi:phone-plus-outline"></i>
							</div>
							<div class="form-group mt-5">
								<button type="submit" class="btn btn-dangky-dangnhap btn-primary">
									<i style="margin-right: 10px;" class="fas fa-user-plus"></i>
									ĐĂNG
									KÝ</button>
							</div>
							<div class="tex-from-check">
								Bạn đã đăng ký xong? <a class="tex-check-a" href="/login">Đăng nhập ngay</a>
							</div>
						</form>
						<!--- From Đăng Ký Tài Khoản --->
					</div>
				</div>
			</div>
		</div>
	</div>
	<div style="margin-top: 50px;"></div>
</body>
<!--<main class="flex-grow-1 flex-shrink-1">


	<div class="container pb-5">
		<form class="form-signin" method="POST">
		 <input type="hidden" name="_token" value="JEGpj39vMoqzUAPDoHWTY8Y4jJiy4t0mhPST9nds">
			<br>
			<h1 class="h3 mb-3 font-weight-normal text-center">Nhập thông tin đăng ký</h1>
			<?php echo $_alert; ?>
			<div class="form-group">
				<label>Tài khoản</label>
				<input type="text" class="form-control" placeholder="Tài khoản" required="" name="username" value="">
			</div>


			<div class="form-group">
				<label>Mật khẩu</label>
				<input type="password" class="form-control" placeholder="Mật khẩu" required="" name="password">
			</div>
			<div class="form-group">
				<label>Nhập lại mật khẩu</label>
				<input type="password" class="form-control" placeholder="Mật khẩu" required="" name="repassword">
			</div>

			<p></p>

			<button type="submit" class="btn btn-primary w-100">Đăng ký</button>

			<div class="text-center pt-2">
				Bạn đã có tài khoản? <a href="/login">Đăng nhập ngay</a>
			</div>
		</form>
		<style>
			.form-signin {
				width: 100%;
				max-width: 400px;
				padding: 15px;
				margin: 0 auto;
			}

			.form-signin .checkbox {
				font-weight: 400;
			}
		</style>
		<?php
		include_once '../system/end.php';
		?>
</main>